forum.wfido.ru  

Вернуться   forum.wfido.ru > Прочие эхи > RU.HUSKY

Ответ
 
Опции темы Опции просмотра
  #1  
Старый 05.07.2018, 17:23
Kirill Temnenkov
Guest
 
Сообщений: n/a
По умолчанию Бинарники husky для ubuntu 16.04

Kirill Temnenkov написал(а) к All в Jul 18 16:01:48 по местному времени:

День добрый, All!

Я бы хотел перевести софт своей ноды на связку binkd+husky.

На хосте у меня ubuntu 16.04.

Дурацкий вопрос - можно где-нибудь взять собранные бинарники?

Я честно отресканил 200 сообщений в этой эхе, но никакого FAQ не нашел, поэтому все-таки спрашиваю тут.

Это вот - http://download.huskyproject.org/linux/ - годится? Смущает, что позапрошлый год, может быть, есть что-то более свежее?


С уважением - Kirill
--- 5D5B 86B0 C8E6 26F0 67AA 20BE 843D EDF5 611F E1DC
Ответить с цитированием
  #2  
Старый 05.07.2018, 19:03
Alexey Vissarionov
Guest
 
Сообщений: n/a
По умолчанию Бинарники husky для ubuntu 16.04

Alexey Vissarionov написал(а) к Kirill Temnenkov в Jul 18 17:36:00 по местному времени:

Доброго времени суток, Kirill!
05 Jul 2018 16:01:48, ты -> All:

KT> Я бы хотел перевести софт своей ноды на связку binkd+husky.

Хорошая мысль.

KT> На хосте у меня ubuntu 16.04.

[уже традиционно]
Тьфу!

KT> Дурацкий вопрос - можно где-нибудь взять собранные бинарники?
KT> Это вот - http://download.huskyproject.org/linux/ - годится?

Дурацкий ответ: скорее всего даже заработает.

KT> Смущает, что позапрошлый год,

А то, что там *.rpm - не смущает?

KT> может быть, есть что-то более свежее?

Критичных изменений с того момента не было.


З.Ы. (Замечу Ышо): чтобы в соседнюю эху не писать, сразу скажу, что binkd - аналогично на http://download.binkd.org/linux

--
Alexey V. Vissarionov aka Gremlin from Kremlin
gremlin ПРИ gremlin ТЧК ru; +vii-cmiii-ccxxix-lxxix-xlii

... Опыты над мышами подтверждают, что встреча с черной кошкой - плохая примета
--- /bin/vi
Ответить с цитированием
  #3  
Старый 06.07.2018, 09:33
Kirill Temnenkov
Guest
 
Сообщений: n/a
По умолчанию Re: Бинарники husky для ubuntu 16.04

Kirill Temnenkov написал(а) к Alexey Vissarionov в Jul 18 08:09:36 по местному времени:

Здpавствуй, Alexey!

Четверг 05 Июля 2018 17:36, ты писал(а) мне:

KT>> На хосте у меня ubuntu 16.04.

AV> [уже традиционно]
AV> Тьфу!

Ожидаемо :-)

KT>> Дурацкий вопрос - можно где-нибудь взять собранные бинарники?
KT>> Это вот - http://download.huskyproject.org/linux/ - годится?

AV> Дурацкий ответ: скорее всего даже заработает.

KT>> Смущает, что позапрошлый год,

AV> А то, что там *.rpm - не смущает?

Пригляделся - да, засмущался.


Ну что же, тогда
- либо подружиться с утилитой alien.
- либо собрать из исходников на https://sourceforge.net/projects/hus...nt/2017.04.06/ (смущает то, что линуксоид-то я ненастоящий, максимум, что я собирал - это бездумно тор по инструкции с офсайта)
- либо обзавестись хостом с CentOS.

Ну, возможно, кто-то подскажет еще источник бинарников для ubuntu.

Кстати, а CentOS - это тьфу?


С уважением - Kirill
--- 5D5B 86B0 C8E6 26F0 67AA 20BE 843D EDF5 611F E1DC
Ответить с цитированием
  #4  
Старый 06.07.2018, 10:52
Alexey Vissarionov
Guest
 
Сообщений: n/a
По умолчанию Бинарники husky для ubuntu 16.04

Alexey Vissarionov написал(а) к Kirill Temnenkov в Jul 18 09:20:20 по местному времени:

Доброго времени суток, Kirill!
06 Jul 2018 08:09:36, ты -> мне:

KT>>> Дурацкий вопрос - можно где-нибудь взять собранные бинарники?
KT>>> Это вот - http://download.huskyproject.org/linux/ - годится?
AV>> Дурацкий ответ: скорее всего даже заработает.

Во всяком случае, работает на Alt, CentOS и Owl :-)

KT>>> Смущает, что позапрошлый год,
AV>> А то, что там *.rpm - не смущает?
KT> Пригляделся - да, засмущался.

Эти пакеты примечательны тем, что бинарники в них собраны статически.

KT> Ну что же, тогда
KT> - либо подружиться с утилитой alien.

На свой страх и риск. Хотя с вероятностью 99.9% таки прокатит.

KT> - либо собрать из исходников

Главное, не превращай систему совсем уж в слакварь.

KT> - либо обзавестись хостом с CentOS.

https://mirror.yandex.ru/centos/6.9/os/x86_64/images/

KT> Ну, возможно, кто-то подскажет еще источник бинарников для ubuntu.

Это маловероятно: пользователи дебилиана и его деривативов сами ничего не собирают - за них это должны сделать "небожители"-мейнтейнеры, а вероятность наличия таковых среди фидошников очень мала.

KT> Кстати, а CentOS - это тьфу?

6 - вполне кошер, 7 - использует systemd, который знатное глюкало.


--
Alexey V. Vissarionov aka Gremlin from Kremlin
gremlin ПРИ gremlin ТЧК ru; +vii-cmiii-ccxxix-lxxix-xlii

... Объектив прицела тоже является чьей-то точкой зрения
--- /bin/vi
Ответить с цитированием
  #5  
Старый 24.07.2018, 15:43
Kirill Temnenkov
Guest
 
Сообщений: n/a
По умолчанию Re: Бинарники husky для ubuntu 16.04

Kirill Temnenkov написал(а) к Alexey Vissarionov в Jul 18 14:08:02 по местному времени:


* Ответ на письмо из области carbonArea (carbonArea).

Здpавствуй, Alexey!

Пятница 06 Июля 2018 09:20, ты писал(а) мне:


KT>> - либо обзавестись хостом с CentOS.

AV> https://mirror.yandex.ru/centos/6.9/os/x86_64/images/

Обзавелся хостом с CentOS.

>───═══ Куть он "Windows Clipboard" ═══───
[root@DS8610373 dist]# cat /etc/redhat-release
CentOS release 6.10 (Final)
>───═══ Куть офф "Windows Clipboard" ═══───

Подскажи пожалуйста, что я сделал не так? У меня установился только один пакет из трех с http://download.huskyproject.org/linux/


>───═══ Куть он "Windows Clipboard" ═══───
[root@DS8610373 dist]# rpm -i htick-1.9.20160318C-1.x86_64.rpm
[root@DS8610373 dist]# rpm -i sqpack-1.9.20160318C-1.x86_64.rpm
error: Failed dependencies:
fidoconf >= 1.9 is needed by sqpack-1.9.20160318C-1.x86_64
huskylib >= 1.9 is needed by sqpack-1.9.20160318C-1.x86_64
smapi >= 2.5 is needed by sqpack-1.9.20160318C-1.x86_64
[root@DS8610373 dist]# rpm -i hpt-1.9.20160316C-1.x86_64.rpm
error: Failed dependencies:
fidoconf >= 1.9 is needed by hpt-1.9.20160316C-1.x86_64
>───═══ Куть офф "Windows Clipboard" ═══───

Видимо, мне надо где-то взять недостающие fidoconf, huskylib и smapi - но их нет на http://download.huskyproject.org/linux/ :-(


С уважением - Kirill
--- 5D5B 86B0 C8E6 26F0 67AA 20BE 843D EDF5 611F E1DC
Ответить с цитированием
  #6  
Старый 24.07.2018, 19:03
Alexey Vissarionov
Guest
 
Сообщений: n/a
По умолчанию Бинарники husky для ubuntu 16.04

Alexey Vissarionov написал(а) к Kirill Temnenkov в Jul 18 17:40:40 по местному времени:

Доброго времени суток, Kirill!
24 Jul 2018 14:08:02, ты -> мне:

KT> Подскажи пожалуйста, что я сделал не так? У меня установился только
KT> один пакет из трех с http://download.huskyproject.org/linux/
KT> [root@DS8610373 dist]# rpm -i htick-1.9.20160318C-1.x86_64.rpm

Хочешь хороший совет? Забудь про параметр "-i" как минимум до того момента, когда внезапно окажется, что ты не можешь использовать вместо него "-U".

KT> [root@DS8610373 dist]# rpm -i sqpack-1.9.20160318C-1.x86_64.rpm
KT> error: Failed dependencies:
KT> fidoconf >= 1.9 is needed by sqpack-1.9.20160318C-1.x86_64
KT> huskylib >= 1.9 is needed by sqpack-1.9.20160318C-1.x86_64
KT> smapi >= 2.5 is needed by sqpack-1.9.20160318C-1.x86_64
KT> [root@DS8610373 dist]# rpm -i hpt-1.9.20160316C-1.x86_64.rpm
KT> error: Failed dependencies:
KT> fidoconf >= 1.9 is needed by hpt-1.9.20160316C-1.x86_64

Опаньки... [мегабайт мата skipped]
В общем, багрепорт принят :-)

KT> Видимо, мне надо где-то взять недостающие fidoconf, huskylib и
KT> smapi - но их нет на http://download.huskyproject.org/linux/ :-(

Ничего брать не надо - можно установить пакеты без зависимостей и все заработает, но в любом случае это коряква, которую надо исправлять.


--
Alexey V. Vissarionov aka Gremlin from Kremlin
gremlin ПРИ gremlin ТЧК ru; +vii-cmiii-ccxxix-lxxix-xlii

... Я мненью вашему вращенье придавал, и осью был мой размноженья орган
--- /bin/vi
Ответить с цитированием
  #7  
Старый 25.07.2018, 10:32
Kirill Temnenkov
Guest
 
Сообщений: n/a
По умолчанию Re: Бинарники husky для ubuntu 16.04

Kirill Temnenkov написал(а) к Alexey Vissarionov в Jul 18 09:14:18 по местному времени:

Здpавствуй, Alexey!

Вторник 24 Июля 2018 17:40, ты писал(а) мне:

KT>> Видимо, мне надо где-то взять недостающие fidoconf, huskylib и
KT>> smapi - но их нет на http://download.huskyproject.org/linux/ :-(

AV> Ничего брать не надо - можно установить пакеты без зависимостей и все
AV> заработает, но в любом случае это коряква, которую надо исправлять.


Спасибо, установил с --nodeps - запускается.
http://download.binkd.org/linux/bink...5-1.x86_64.rpm установился без проблем.

Осталось все настроить :-)

Насколько я понял, актуальные доки - в https://github.com/huskyproject/hpt/wiki и окрестностях?

С уважением - Kirill
--- 5D5B 86B0 C8E6 26F0 67AA 20BE 843D EDF5 611F E1DC
Ответить с цитированием
  #8  
Старый 25.07.2018, 12:12
Alexey Vissarionov
Guest
 
Сообщений: n/a
По умолчанию Бинарники husky для ubuntu 16.04

Alexey Vissarionov написал(а) к Kirill Temnenkov в Jul 18 10:57:00 по местному времени:

Доброго времени суток, Kirill!
25 Jul 2018 09:14:18, ты -> мне:

KT>>> Видимо, мне надо где-то взять недостающие fidoconf, huskylib и
KT>>> smapi - но их нет на http://download.huskyproject.org/linux/ :-(
AV>> Ничего брать не надо - можно установить пакеты без зависимостей
AV>> и все заработает, но в любом случае это коряква, которую надо
AV>> исправлять.
KT> Спасибо, установил с --nodeps - запускается.

Но все равно Requires вместо BuildRequires - коряква.

KT> Осталось все настроить :-)
KT> Насколько я понял, актуальные доки - в
KT> https://github.com/huskyproject/hpt/wiki и окрестностях?

Начни с http://download.huskyproject.org/etc/


--
Alexey V. Vissarionov aka Gremlin from Kremlin
gremlin ПРИ gremlin ТЧК ru; +vii-cmiii-ccxxix-lxxix-xlii

... Профессионализм - умение оценить меру своей некомпетентности
--- /bin/vi
Ответить с цитированием
Ответ

Опции темы
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.

Быстрый переход


Текущее время: 16:59. Часовой пояс GMT +4.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2018, vBulletin Solutions, Inc. Перевод: zCarot